Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package make_installer

## Functions
def | addDependencies
def | findExecutable
| Locate the relevant files.
def | getDllVersion
def | makeCabFile
def | makeInstaller
def | parseDependenciesUnix
def | parseDependenciesWindows
## Variables
string | action = 'store_true'
string | default = 'Panda3D'
string | Description_plist
| This Description.plist file is used only for the OSX 10.4 version of packagemaker.
tuple | filename = os.path.join('models', 'plugin_images', 'installer.bmp')
string | help = 'The product short name'
string | Info_plist
| This Info.plist file is used only for the OSX 10.4 version of packagemaker.
tuple | makensis = findExecutable('makensis.exe')
tuple | parser = OptionParser(usage = usage)
tuple | thirdparty = os.environ.get("MAKEPANDA_THIRDPARTY", "thirdparty")
tuple | this_dir = os.path.split(sys.argv[0])
string | usage

## Function Documentation

def make_installer.addDependencies | ( |  | path,
|  |  | pathname,
|  |  | file,
|  |  | pluginDependencies,
|  |  | dependentFiles
| ) |  |

    Checks the named file for DLL dependencies, and adds any
    appropriate dependencies found into pluginDependencies and
    dependentFiles.

def make_installer.findExecutable | ( |  | filename | ) |

Locate the relevant files.

    Searches for the named .exe or .dll file along the system PATH
    and returns its full path if found, or None if not found.

def make_installer.getDllVersion | ( |  | filename | ) |

    Returns the DLL version number in the indicated DLL, as a
    string of comma-separated integers.  Windows only.

def make_installer.makeCabFile | ( |  | ocx,
|  |  | pluginDependencies
| ) |  |

    Creates an ActiveX CAB file.  Windows only.

def make_installer.makeInstaller | ( |  | ) |

def make_installer.parseDependenciesUnix | ( |  | tempFile | ) |

    Reads the indicated temporary file, the output from
    otool -XL or ldd, to determine the list of dll's this
    executable file depends on.

def make_installer.parseDependenciesWindows | ( |  | tempFile | ) |

    Reads the indicated temporary file, the output from
    dumpbin /dependents, to determine the list of dll's this
    executable file depends on.

## Variable Documentation

string action = 'store_true'

string default = 'Panda3D'

string Description_plist

Initial value:

    00001 """<?xml version="1.0" encoding="UTF-8"?>
    00002 <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    00003 <plist version="1.0">
    00004 <dict>
    00005   <key>IFPkgDescriptionDescription</key>
    00006   <string></string>
    00007   <key>IFPkgDescriptionTitle</key>
    00008   <string>%(long_name)s</string>
    00009 </dict>
    00010 </plist>
    00011 """

This Description.plist file is used only for the OSX 10.4 version of packagemaker.

tuple filename = os.path.join('models', 'plugin_images', 'installer.bmp')

string help = 'The product short name'

string Info_plist

Initial value:

    00001 """<?xml version="1.0" encoding="UTF-8"?>
    00002 <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    00003 <plist version="1.0">
    00004 <dict>
    00005   <key>CFBundleIdentifier</key>
    00006   <string>%(package_id)s</string>
    00007   <key>CFBundleShortVersionString</key>
    00008   <string>%(version)s</string>
    00009   <key>IFPkgFlagRelocatable</key>
    00010   <false/>
    00011   <key>IFPkgFlagAuthorizationAction</key>
    00012   <string>RootAuthorization</string>
    00013 </dict>
    00014 </plist>
    00015 """

This Info.plist file is used only for the OSX 10.4 version of packagemaker.

tuple makensis = findExecutable('makensis.exe')

tuple parser = OptionParser(usage = usage)

tuple thirdparty = os.environ.get("MAKEPANDA_THIRDPARTY", "thirdparty")

tuple this_dir = os.path.split(sys.argv[0])

string usage

Initial value:

    00001 """
    00002 This command creates a graphical installer for the
    00003 Panda3D plugin and runtime environment.
    00004
    00005   %prog [opts]"""

All Classes Namespaces Functions Variables Enumerations Enumerator Properties